---
lang: en
title: 'API docs: context.invokeinterceptors'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.invokeinterceptors.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [invokeInterceptors](./context.invokeinterceptors.md)

## invokeInterceptors() function

Invoke a chain of interceptors with the context

<b>Signature:</b>

```typescript
export declare function invokeInterceptors<C extends Context = Context, T = InvocationResult>(context: C, interceptors: GenericInterceptorOrKey<C>[]): ValueOrPromise<T | undefined>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | <code>C</code> | Context object |
|  interceptors | <code>GenericInterceptorOrKey&lt;C&gt;[]</code> | An array of interceptor functions or binding keys |

<b>Returns:</b>

`ValueOrPromise<T | undefined>`


